On 13 Oct 2016, at 15:03, Mindy <mi...@somerandomidiot.com> wrote:
> 
> On 09/01/2016 03:05 AM, Hannes Mehnert wrote:
> 
>> On 31/08/2016 17:31, Mindy wrote:
>>> Having just tripped over something available in 4.03 but not 4.02
>> is this significant enough to drop 4.02 support (or is it only the
>> Hashtbl.filter_map_inplace)?
> 
> Hashtbl.filter_map_inplace isn't a big deal, but I trip over the lack of 
> inbuilt `result` all the time.
> 
>> 
>> Since most MirageOS applications deployed in the wild still use 4.02,
>> I'd appreciate keeping it (until e.g. 4.04 is released, and
>> ocaml-freestanding & mirage-xen-ocaml support 4.04).
> 
> I'd really like to deprecate 4.02 for MirageOS 3; nobody will be building 
> their existing unikernels in that package universe without having to revisit 
> them already.

Agreed. The builtin result and guaranteed availability of flambda are two good 
reasons for me.  Note that individual libraries can still choose to maintain 
support, its just that we wont guarantee it ourselves from the main mirage tool.

Anil
_______________________________________________
MirageOS-devel mailing list
MirageOS-devel@lists.xenproject.org
https://lists.xenproject.org/cgi-bin/mailman/listinfo/mirageos-devel

Reply via email to